%define api_version     2.4
%define lib_major	1
%define lib_name	%mklibname soup %{api_version} %{lib_major}
%define gi_name		%mklibname soup-gir %{api_version}
%define develname	%mklibname -d soup

Summary:	SOAP (Simple Object Access Protocol) implementation
Name:		libsoup
Version:	2.74.3
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	%{name}-%{version}.tar.xz
#-------------------------------------
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires:	intltool
#-------------------------------------
Requires:	glib-networking
BuildRequires:	gtk-doc


%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.


%package -n %{lib_name}
Summary:	Libraries for soup
Group:		System/Libraries
Obsoletes:	libsoup < %{version}
Provides:	libsoup =  %{version}-%{release}

%description -n %{lib_name}

Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.


%package -n %{develname}
Summary:	Development libraries, header files and utilities for soup
Group:		Development/Libraries
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name}
Obsoletes:	libsoup-devel < %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}

Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.



%prep
%setup -q

%build
%meson -Dtls_check=false
%meson_build

%install
rm -rf %buildroot
%meson_install

rm -f %buildroot%_libdir/*.la

%find_lang %name

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_major}*
%{_libdir}/girepository-1.0/Soup-%{api_version}.typelib
%{_libdir}/girepository-1.0/SoupGNOME-%{api_version}.typelib
%{_datadir}/locale

%files -n %{develname}
%defattr(-,root,root)
%{_datadir}/gir-1.0/Soup-%{api_version}.gir
%{_datadir}/gir-1.0/SoupGNOME-%{api_version}.gir
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/vala/vapi/%{name}-%{api_version}.vapi
%{_datadir}/vala/vapi/%{name}-%{api_version}.deps

%clean 
rm -rf %buildroot

%changelog
* Fri Oct 21 2022 tex - 2.74.3-1pclos2022
- new version

* Thu Nov 25 2021 tex - 2.74.2-1pclos2021
- new version

* Sun Oct 24 2021 tex - 2.74.1-1pclos2021
- new version

* Mon Sep 14 2020 tex - 2.72.0-1pclos2020
- new version

* Sat Mar 07 2020 tex - 2.70.0-1pclos2020
- new version

* Sat Dec 07 2019 tex - 2.68.3-1pclos2019
- new version

* Wed Oct 09 2019 tex - 2.68.2-1pclos2019
- new version

* Wed Sep 11 2019 tex - 2.68.1-1pclos2019
- new version

* Wed Sep 11 2019 tex - 2.68.0-1pclos2019
- new version

* Fri May 17 2019 tex - 2.66.2-1pclos2019
- new version

* Fri Mar 22 2019 tex- 2.66.0-1pclos2019
- new

* Fri Mar 01 2019 tex- 2.64.2-1pclos2019
- new

* Sat Sep 08 2018 tex - 2.64.0-1pclos2018
- NEW
